{
  "name": "@digiresilience/metamigo-common",
  "version": "0.2.0",
  "description": "",
  "main": "build/main/index.js",
  "type": "module",
  "types": "build/main/index.d.ts",
  "author": "Abel Luck <abel@guardianproject.info>",
  "license": "AGPL-3.0-or-later",
  "private": false,
  "scripts": {
    "build": "tsc -p tsconfig.json",
    "fix:lint": "eslint src --ext .ts --fix",
    "fmt": "prettier \"src/**/*.ts\" --write",
    "lint": "eslint src --ext .ts && prettier \"src/**/*.ts\" --list-different",
    "doc": "typedoc src/ --exclude '**/*.test.ts' --exclude '**/*.spec.ts' --name $npm_package_name --readme README.md --target es2019 --mode file --out build/docs",
    "dev": "tsc-watch --build  --noClear "
  },
  "devDependencies": {
    "@types/figlet": "^1.5.6",
    "@types/lodash": "^4.14.195",
    "@types/node": "*",
    "@types/uuid": "^9.0.2",
    "camelcase-keys": "^8.0.2",
    "pg-monitor": "^2.0.0",
    "tsc-watch": "^6.0.4",
    "typedoc": "^0.24.8",
    "typescript": "^5.1.6"
  },
  "dependencies": {
    "@digiresilience/hapi-nextauth": "*",
    "@hapi/boom": "^10.0.1",
    "@hapi/glue": "^9.0.1",
    "@hapi/hapi": "^21.3.2",
    "@hapi/hoek": "^11.0.2",
    "@hapi/inert": "^7.1.0",
    "@hapi/vision": "^7.0.2",
    "@hapipal/schmervice": "^3.0.0",
    "@promster/hapi": "^8.0.6",
    "@promster/server": "^7.0.8",
    "@promster/types": "^3.2.5",
    "@types/convict": "^6.1.3",
    "@types/hapi__glue": "^6.1.6",
    "@types/hapi__hapi": "^20.0.13",
    "@types/hapi__inert": "^5.2.6",
    "@types/hapi__vision": "^5.5.4",
    "@types/hapipal__schmervice": "^2.0.3",
    "chalk": "^5.3.0",
    "commander": "^11.0.0",
    "convict": "^6.2.4",
    "decamelcase-keys": "^1.1.1",
    "figlet": "^1.6.0",
    "hapi-pino": "^12.1.0",
    "http-terminator": "^3.2.0",
    "joi": "^17.9.2",
    "lodash": "^4.17.21",
    "next-auth": "^4.22.1",
    "pg-promise": "^11.5.0",
    "pino": "^8.14.1",
    "pino-pretty": "^10.0.1",
    "prom-client": "^14.x.x",
    "uuid": "^9.0.0"
  }
}
